libatk-wrapper-java-jni_0.30.5-1_amd64.deb


Advertisement

Description

libatk-wrapper-java-jni - ATK implementation for Java using JNI (JNI bindings)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libatk-wrapper-java-jni
Package version: 0.30.5
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 139 B
Download size: 24.24 KB
Official Mirror: ftp.br.debian.org
Java ATK Wrapper is an implementation of ATK which uses JNI. It converts Java Swing events into ATK events, and sends these events to ATK-Bridge. This package contains the JNI bindings.

Alternatives

    Download

    Source package: java-atk-wrapper

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libatk-wrapper-java-jni deb package:
      # sudo apt-get install libatk-wrapper-java-jni

    Files

    • /usr/lib/x86_64-linux-gnu/jni/libatk-wrapper.so
    • /usr/lib/x86_64-linux-gnu/jni/libatk-wrapper.so.0
    • /usr/lib/x86_64-linux-gnu/jni/libatk-wrapper.so.0.0.13
    • /usr/share/doc/libatk-wrapper-java-jni/changelog.Debian.gz
    • /usr/share/doc/libatk-wrapper-java-jni/copyright

    Changelog

    2014-09-25 - Samuel Thibault <sthibault@debian.org> java-atk-wrapper (0.30.5-1) unstable; urgency=low * New upstream release. - patches/autoconf-enable-javacflags.patch: Remove, merged upstream. - patches/no-automake-werror: Remove, merged upstream. * Bump Standards-Version to 3.9.6. - control: Remove java2-runtime Depends alternative. - control: Remove default-jre Depends.

    2013-08-19 - Samuel Thibault <sthibault@debian.org> java-atk-wrapper (0.30.4-4) unstable; urgency=low [ Samuel Thibault ] * control: Fix description typos (Closes: #676863). * Bump Standards-Version to 3.9.4 (no changes). * patches/no-automake-werror: Remove -Werror from automake invocation (Closes: #713320). [ Jeremy Bicha ] * Merge with Ubuntu (Closes: #708985) - control: Depend on default-jre | java2-runtime - Ensure backwards compatible bytecode is built (LP: #1049777): + p/autoconf-enable-javacflags.patch: Update autoconf configuration to support use of JAVACFLAGS during build process. + rules: Supply JAVACFLAGS to ensure source/target is set to 1.5.

    2013-04-16 - Samuel Thibault <sthibault@debian.org> java-atk-wrapper (0.30.4-3) unstable; urgency=low * Document that accessibility is disabled by default in openjdk, how to re-enable it, and that this is because it is not stable with non-threaded applications (Closes: #701492).

    2012-06-08 - Samuel Thibault <sthibault@debian.org> java-atk-wrapper (0.30.4-2) unstable; urgency=low * control: - Bump Standards-Version to 3.9.3 (no changes). - Fix JNI acronym case (Closes: #663268). - Drop gconf-dev dependency. * patches/gconf: New patch to disable gconf dependency, not actually used (Closes: #665367). * rules: Autoreconf.

    2012-01-28 - Samuel Thibault <sthibault@debian.org> java-atk-wrapper (0.30.4-1) unstable; urgency=low * Initial release (Closes: #537779) * Thanks Luke Yelavich for working on it in Ubuntu!

    Advertisement
    Advertisement